function tSel = limiarOtsu(im)
    [H,X] = imhist(im);
    H = H / sum(H);
    
    max_va = 0;
    tSel = 0;
    
    mg = sum(H .* X);
    for t = 1:255
        P1 = sum(H(1:t));
        P2 = sum(H(t+1:end));
        
        m1 = sum(H(1:t).*X(1:t)) / P1;
        m2 = sum(H(t+1:end).*X(t+1:end)) / P2;
                
        va2 = P1 * (m1-mg)^2 + P2 * (m2-mg)^2;
        if (va2 > max_va)
            max_va = va2;
            tSel = t -1;
        end
    end
            
end