function t = limiarGlobalAdaptativo(im)
    [H,X] = imhist(im);
    H = H / sum(H);
    
    t = 128;
    tOld = 0;
    while(abs(tOld - t) > 2)
        tOld = t;
        m1 = sum(H(1:t).*X(1:t)) / sum(H(1:t));
        m2 = sum(H(t+1:end).*X(t+1:end)) / sum(H(t+1:end));
        t = round((m1 + m2)/2);
    end
        
end